diff -c -w descr-text-patched.el descr-text.el
*** descr-text-patched.el	Thu Nov 24 10:42:16 2011
--- descr-text.el	Thu Nov 24 10:39:32 2011
***************
*** 376,393 ****
  
  ;;;###autoload
  (defun describe-char (pos &optional buffer)
!   "Describe position POS (interactively, point) and the char after POS.
! POS is taken to be in BUFFER, or the current buffer if BUFFER is nil.
! The information is displayed in buffer `*Help*'.
! 
! The position information includes POS; the total size of BUFFER; the
! region limits, if narrowed; the column number; and the horizontal
! scroll amount, if horizontally scrolled.
! 
! The character information includes the character code; charset and
! code points in it; syntax; category; how the character is encoded in a
! file; character composition information (if relevant); and relevant
! widgets, buttons, overlays, and text properties."
    (interactive "d")
    (unless (buffer-live-p buffer) (setq buffer (current-buffer)))
    (let ((src-buf (current-buffer)))
--- 376,387 ----
  
  ;;;###autoload
  (defun describe-char (pos &optional buffer)
!   "Describe the character after POS (interactively, the character after point).
! Is POS is taken to be in buffer BUFFER or current buffer if nil.
! The information includes character code, charset and code points in it,
! syntax, category, how the character is encoded in a file,
! character composition information (if relevant),
! as well as widgets, buttons, overlays, and text properties."
    (interactive "d")
    (unless (buffer-live-p buffer) (setq buffer (current-buffer)))
    (let ((src-buf (current-buffer)))
***************
*** 503,527 ****
              (setq composition nil)))
  
        (setq item-list
!             `(("position"
!                ,(let* ((beg      (point-min))
!                        (end      (point-max))
!                        (total    (buffer-size))
!                        (percent  (if (> total 50000) ; Avoid overflow multiplying by 100
!                                      (/ (+ (/ total 200) (1- pos))  (max (/ total 100) 1))
!                                    (/ (+ (/ total 2) (* 100 (1- pos)))  (max total 1))))
!                        (hscroll  (if (= (window-hscroll) 0)
!                                      ""
!                                    (format ", Hscroll: %d" (window-hscroll))))
!                        (col      (current-column)))
!                       (if (or (/= beg 1)  (/= end (1+ total)))
!                           (format "%d of %d (%d%%), column: %d%s, region: %d-%d"
!                                   pos total percent col hscroll beg end)
!                         (if (= pos end)
!                             (format "%d of %d (EOB), column: %d%s" pos total col hscroll)
!                           (format "%d of %d (%d%%), column: %d%s"
!                                   pos total percent col hscroll)))))
!               ("character"
                 ,(format "%s (%d, #o%o, #x%x)"
                          (apply 'propertize char-description
                                 (text-properties-at pos))
--- 497,503 ----
              (setq composition nil)))
  
        (setq item-list
!             `(("character"
                 ,(format "%s (%d, #o%o, #x%x)"
                          (apply 'propertize char-description
                                 (text-properties-at pos))

Diff finished.  Thu Nov 24 10:43:41 2011
